#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libpthread-stubs
Version		:	0.4
Release		:	14.8.0.0%{?dist}
Summary		:	pthread library interface
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://xcb.freedesktop.org/dist/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The libpthread-stubs package provides weak aliases for pthread functions not
provided in libc or otherwise available by default. This is useful for libraries
that rely on pthread stubs to use pthreads optionally. On Linux, all necessary
pthread functions are available, so this package is simply a placeholder. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/pkgconfig/*.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL="install -p"				\
	DESTDIR=%{buildroot}				\
	install
	


#-----------------------------------------------------------------------------
%changelog
